OpenShot Audio Library | OpenShotAudio: juce::AudioDataConverters Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
juce::AudioDataConverters Class Reference

`#include <juce_AudioDataConverters.h>`

## Public Types
enum | DataFormat { int16LE , int16BE , int24LE , int24BE , int32LE , int32BE , float32LE , float32BE }

## Static Public Member Functions
static void | convertFloatToInt16LE (const float *source, void *dest, int numSamples, int destBytesPerSample=2)
static void | convertFloatToInt16BE (const float *source, void *dest, int numSamples, int destBytesPerSample=2)
static void | convertFloatToInt24LE (const float *source, void *dest, int numSamples, int destBytesPerSample=3)
static void | convertFloatToInt24BE (const float *source, void *dest, int numSamples, int destBytesPerSample=3)
static void | convertFloatToInt32LE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertFloatToInt32BE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertFloatToFloat32LE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertFloatToFloat32BE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertInt16LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=2)
static void | convertInt16BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=2)
static void | convertInt24LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=3)
static void | convertInt24BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=3)
static void | convertInt32LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertInt32BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertFloat32LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertFloat32BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertFloatToFormat (DataFormat destFormat, const float *source, void *dest, int numSamples)
static void | convertFormatToFloat (DataFormat sourceFormat, const void *source, float *dest, int numSamples)
static void | interleaveSamples (const float **source, float *dest, int numSamples, int numChannels)
static void | deinterleaveSamples (const float *source, float **dest, int numSamples, int numChannels)

## Detailed Description

A set of routines to convert buffers of 32-bit floating point data to and from various integer formats.

Note that these functions are deprecated - the AudioData class provides a much more flexible set of conversion classes now.

Definition at line 656 of file juce_AudioDataConverters.h.

## Member Enumeration Documentation

## ◆ DataFormat

enum juce::AudioDataConverters::DataFormat

Definition at line 686 of file juce_AudioDataConverters.h.

## Member Function Documentation

## ◆ convertFloat32BEToFloat()

void juce::AudioDataConverters::convertFloat32BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

Definition at line 380 of file juce_AudioDataConverters.cpp.

## ◆ convertFloat32LEToFloat()

void juce::AudioDataConverters::convertFloat32LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

Definition at line 363 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToFloat32BE()

void juce::AudioDataConverters::convertFloatToFloat32BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

Definition at line 194 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToFloat32LE()

void juce::AudioDataConverters::convertFloatToFloat32LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

Definition at line 176 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToFormat()

void juce::AudioDataConverters::convertFloatToFormat | ( | DataFormat | destFormat,
|  | const float * | source,
|  | void * | dest,
|  | int | numSamples
| ) |  |
| static

Definition at line 399 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToInt16BE()

void juce::AudioDataConverters::convertFloatToInt16BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `2`
| ) |  |
| static

Definition at line 51 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToInt16LE()

void juce::AudioDataConverters::convertFloatToInt16LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `2`
| ) |  |
| static

Definition at line 26 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToInt24BE()

void juce::AudioDataConverters::convertFloatToInt24BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `3`
| ) |  |
| static

Definition at line 101 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToInt24LE()

void juce::AudioDataConverters::convertFloatToInt24LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `3`
| ) |  |
| static

Definition at line 76 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToInt32BE()

void juce::AudioDataConverters::convertFloatToInt32BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

Definition at line 151 of file juce_AudioDataConverters.cpp.

## ◆ convertFloatToInt32LE()

void juce::AudioDataConverters::convertFloatToInt32LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

Definition at line 126 of file juce_AudioDataConverters.cpp.

## ◆ convertFormatToFloat()

void juce::AudioDataConverters::convertFormatToFloat | ( | DataFormat | sourceFormat,
|  | const void * | source,
|  | float * | dest,
|  | int | numSamples
| ) |  |
| static

Definition at line 415 of file juce_AudioDataConverters.cpp.

## ◆ convertInt16BEToFloat()

void juce::AudioDataConverters::convertInt16BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `2`
| ) |  |
| static

Definition at line 238 of file juce_AudioDataConverters.cpp.

## ◆ convertInt16LEToFloat()

void juce::AudioDataConverters::convertInt16LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `2`
| ) |  |
| static

Definition at line 213 of file juce_AudioDataConverters.cpp.

## ◆ convertInt24BEToFloat()

void juce::AudioDataConverters::convertInt24BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `3`
| ) |  |
| static

Definition at line 288 of file juce_AudioDataConverters.cpp.

## ◆ convertInt24LEToFloat()

void juce::AudioDataConverters::convertInt24LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `3`
| ) |  |
| static

Definition at line 263 of file juce_AudioDataConverters.cpp.

## ◆ convertInt32BEToFloat()

void juce::AudioDataConverters::convertInt32BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

Definition at line 338 of file juce_AudioDataConverters.cpp.

## ◆ convertInt32LEToFloat()

void juce::AudioDataConverters::convertInt32LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

Definition at line 313 of file juce_AudioDataConverters.cpp.

## ◆ deinterleaveSamples()

void juce::AudioDataConverters::deinterleaveSamples | ( | const float * | source,
|  | float ** | dest,
|  | int | numSamples,
|  | int | numChannels
| ) |  |
| static

Definition at line 447 of file juce_AudioDataConverters.cpp.

## ◆ interleaveSamples()

void juce::AudioDataConverters::interleaveSamples | ( | const float ** | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | numChannels
| ) |  |
| static

Definition at line 432 of file juce_AudioDataConverters.cpp.

The documentation for this class was generated from the following files:

- juce_AudioDataConverters.h
- juce_AudioDataConverters.cpp